Bug 210640 - Cannot create partitions during install
Summary: Cannot create partitions during install
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 6
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-10-13 14:32 UTC by Brian Daniels
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-15 13:55:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Daniels 2006-10-13 14:32:53 UTC
Description of problem:
Attempting to install FC6 PreRelease (Test 4).  I choose 'Create Custom Layout'
for my partitioning option.  A list of installed hard drives is displayed.  I
then choose /dev/sda and click on New.

Anaconda throws an exception.  Attempts to save it to a floppy fail, scribbling
on the floppy and rendering it unreadable.  If I hit ctl-alt-f3 the error shown is:

CRITICAL: Traceback (most recent call first):
File "/usr/lib/anaconda/iw/partition_gui.py" line 1093 in editPartitionRequest
restrictfs = restrictfs)
File "/usr/lib/anaconda/iw/partition_gui.py" line 947 in newCB
self.editPartitionRequest(request, isNew = 1)
TypeError: createAllowedDrivesList() takes exactly 3 arguments (2 given)

This system has an Intel i915-G motherboard with one SATA hd, and one PATA DVD
drive.  (Compaq SR1010T series)

How reproducible:
always

Comment 1 Chris Lumens 2006-10-15 13:55:00 UTC
This is fixed for FC6 final.


Note You need to log in before you can comment on or make changes to this bug.